Część: Fazka

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Chamfer and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Part Chamfer.svg Część: Fazka

Lokalizacja w menu
Część → Fazka
Środowisko pracy
Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Zaokrąglenie

Opis

Fazuje wybraną krawędź obiektu. Okno dialogowe pozwala wybrać krawędź do pracy, jak również modyfikować różne parametry fazowania.

Przykład utworzenia fazki

Użycie

  1. Istnieje kilka sposobów aby wywołać polecenie Fazuj wybrane krawędzie:
    • Naciśnij przycisk Part Chamfer.svg.
    • Użyj pozycji w menu Część → Fazka.
  2. Wybierz kształt do wykonania fazek z menu okna dialogowego.
  3. Wybierz krawędzie do fazowania, zaznaczając odpowiednie pole w oknie dialogowym fazy lub wybierając je bezpośrednio na modelu.
  4. Edycja parametrów fazy.
  5. Naciśnij przycisk OK, aby zamknąć okno dialogowe fazy i nanieść fazki.

Opcje

Okienko dialogowe funkcji fazowania

  • Podczas wybierania krawędzi w modelu, masz możliwość wyboru według krawędzi lub według ściany. Wybranie według ściany spowoduje wybranie wszystkich krawędzi granicznych.
  • Fazowanie o stałej długości lub fazowanie o zmiennej długości.
    • Faza o stałej długości utworzy fazę o krawędziach równych odległości od oryginalnej krawędzi w podanej odległości.
    • Faza o zmiennej długości będzie miała krawędzie, które mogą być ustawione w różnych odległościach od oryginalnej krawędzi, co pozwala na utworzenie fazy pod zmiennym kątem.

Właściwości

Właściwości funkcji Fazka w środowisku pracy Część


Podstawowe

  • DanePodstawowe: Kształt, na którym ma być zastosowana fazka.
  • DaneUmiejscowienie: Określa orientację i położenie kształtu w przestrzeni 3D.
  • DaneEtykieta: Etykieta nadana obiektowi. Zmień ją według własnych potrzeb.


Ograniczenia

Fazowanie może się nie powieść, jeśli wynik dotknie lub przekroczy następną sąsiednią krawędź. Więc jeśli nie otrzymasz oczekiwanego rezultatu, spróbuj z mniejszą wartością. To samo dotyczy funkcji Part Fillet.svg Zaokrąglij wybrane krawędzie ... środowiska Część.

Zwróć również uwagę, że na funkcję fazowania części wpływa na Topologiczny problem nazewnictwa, gdy jakakolwiek zmiana jest dokonywana na wcześniejszym etapie modelowania w łańcuchu, który wpływa na liczbę powierzchni lub wierzchołków. Może to spowodować nieprzewidywalny rezultat. Do czasu rozwiązania tego problemu (prawdopodobnie z v0.20) zaleca się stosowanie operacji Fazowania i Zaokrąglania na ostatnich etapach łańcucha.

Tworzenie skryptów

Narzędzie fazowania może być używane w makrodefinicjach i z konsoli środowiska Python poprzez dodanie obiektu fazowania do dokumentu.

Przykład skryptu:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Przykładowe objaśnienie skryptu:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Tworzy sześcian o boku 5 mm, na który będziemy nakładać sfazowane krawędzie. Zobacz stronę Part_API aby uzyskać wyjaśnienie metody makeBox.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Dodaje do dokumentu nowy obiekt typu Fazka (pochodzący z modułu Część) z etykietą "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Określa, że podstawowym kształtem obiektu fazki powinien być "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Tworzy pustą tablicę "myEdges", a następnie dodaje do niej parametry fazy każdej krawędzi.
  • Składnia dla każdego elementu powinna być następująca (krawędź#, długość początkowa fazy, długość końcowa fazy).
chmfr.Edges = myEdges
  • Ustawia atrybut Krawędzie naszego obiektu Fazka odpowiadający tablicy, którą właśnie utworzyliśmy.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Ta linia po prostu ukrywa "myCube" tak, aby nasz nowo utworzony obiekt "myChamfer" był jedynym widocznym.
FreeCAD.ActiveDocument.recompute()
  • Ponownie oblicza wszystkie zmienione elementy na ekranie i odświeża widok.